import { line } from 'd3';

const transitionPath = d3
  	.transition()
  	.ease(d3.easeSin)
  	.duration(2500);

export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  tooltipFormat,
  circleRadius,
  transition
}) => (
  <g className="marks">
    <>
    <path
      fill= "none"
      stroke="url(#Gradient)"
      d={line()
        .x(d => xScale(xValue(d)))
        .y(d => yScale(yValue(d)))
        (data)}
      y={transitionPath}
    />
    {
      data.map(d => (
     <g transform={`translate(${xScale(xValue(d))},${yScale(yValue(d))})`}> 
          <circle class='circulo' r={circleRadius} data-tooltip="oi"> 
          </circle>
      </g>
      
    
      ))
    }
  </>
  </g>

);


